Runtime

## org.eclipse.gmf.runtime.diagram.ui.resources.editor.document
Class DocumentEvent

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.ui.resources.editor.document.DocumentEvent

public class DocumentEvent
extends java.lang.Object

Specification of changes applied to documents. The event contains the changed document.

See Also:
  `IDocument`

Field Summary
`static int` `CONTENT_MODIFIED`
`static int` `CONTENT_REPLACED`
`IDocument` `fDocument` The changed document
`java.lang.Object` `fEventInfo`
`int` `fEventKind`
`protected long` `fModificationStamp` The modification stamp of the document when firing this event.

Constructor Summary
`DocumentEvent()` Creates a new, not initialized document event.
`DocumentEvent(IDocument doc, int eventKind, java.lang.Object eventInfo)` Creates a new document event.

Method Summary
`IDocument` `getDocument()` Returns the changed document.
`java.lang.Object` `getEventInfo()`
`int` `getEventKind()`
`long` `getModificationStamp()` Returns the document's modification stamp at the time when this event was sent.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fDocument

    public IDocument fDocument

  The changed document

### fEventKind

    public int fEventKind

### fEventInfo

    public java.lang.Object fEventInfo

### fModificationStamp

    protected long fModificationStamp

  The modification stamp of the document when firing this event.

### CONTENT_REPLACED

    public static final int CONTENT_REPLACED

See Also:
  Constant Field Values

### CONTENT_MODIFIED

    public static final int CONTENT_MODIFIED

See Also:
  Constant Field Values

Constructor Detail

### DocumentEvent

    public DocumentEvent(IDocument doc,
                         int eventKind,
                         java.lang.Object eventInfo)

  Creates a new document event.

Parameters:
  `doc` - the changed document

### DocumentEvent

    public DocumentEvent()

  Creates a new, not initialized document event.

Method Detail

### getDocument

    public IDocument getDocument()

  Returns the changed document.

  Returns:
    the changed document

### getModificationStamp

    public long getModificationStamp()

  Returns the document's modification stamp at the time when this event was sent.

  Returns:
    the modification stamp or `IDocument.UNKNOWN_MODIFICATION_STAMP`.

### getEventKind

    public int getEventKind()

  Returns:
    The Event Kind

### getEventInfo

    public java.lang.Object getEventInfo()

  Returns:
    The Event Information

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.